public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins/
Date: Thu, 14 Nov 2024 23:30:49 +0000 (UTC)	[thread overview]
Message-ID: <1731625086.7ad20acab1f920b7631ec55d906469090497517d.mjo@gentoo> (raw)

commit:     7ad20acab1f920b7631ec55d906469090497517d
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Nov 14 15:19:30 2024 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Thu Nov 14 22:58:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ad20aca

net-analyzer/nagios-plugins: add 2.4.12

Closes: https://github.com/gentoo/gentoo/pull/39316
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 net-analyzer/nagios-plugins/Manifest               |   1 +
 .../nagios-plugins/nagios-plugins-2.4.12.ebuild    | 121 +++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/net-analyzer/nagios-plugins/Manifest b/net-analyzer/nagios-plugins/Manifest
index 1b065025a063..91c240eeccf1 100644
--- a/net-analyzer/nagios-plugins/Manifest
+++ b/net-analyzer/nagios-plugins/Manifest
@@ -1 +1,2 @@
+DIST nagios-plugins-2.4.12.tar.gz 2752829 BLAKE2B b72b9350e9c72c9cbe0cbca3effce16ec753887945455a1ac47975105e68f516923020cc88ee42da0c8cd815fe841a82ff5053c3ba5688888bec7be12c08fb8c SHA512 fbff697d0cea1cbeb83737f240a42c00e18bf443b8af303b5d7f7f735eb6faa5305d8740fb27472876dc1398735204e0d7a0e5863c2064ec2a37541253f91502
 DIST nagios-plugins-2.4.6.tar.gz 2751770 BLAKE2B a85da8eaa8d926e2ccae3451d9faa680b75ebd736ba1306c69e7d3b2b8749787743dd6e26013d3a72fba12ef49fdf635c60052791fab558eb49c379bdbb6bac7 SHA512 f2a12a5b6a70849d7233debd1ca95667df981d3627287e3b8813d8fd709c4f4a26cf2128851837f33e0df3132132a4f891edef90e220bc16b1a6351d514faa43

diff --git a/net-analyzer/nagios-plugins/nagios-plugins-2.4.12.ebuild b/net-analyzer/nagios-plugins/nagios-plugins-2.4.12.ebuild
new file mode 100644
index 000000000000..841c473ee4dc
--- /dev/null
+++ b/net-analyzer/nagios-plugins/nagios-plugins-2.4.12.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Official plugins for Nagios"
+HOMEPAGE="https://nagios-plugins.org/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/release-${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ipv6 ldap mysql nagios-dns nagios-ping nagios-game postgres radius samba selinux snmp ssh +ssl"
+
+# Most of the plugins use automagic dependencies, i.e. the plugin will
+# get built if the binary it uses is installed. For example, check_snmp
+# will be built only if snmpget from net-analyzer/net-snmp[-minimal] is
+# installed. End result: most of our runtime dependencies are required
+# at build time as well.
+AUTOMAGIC_DEPEND="
+	nagios-dns? ( net-dns/bind-tools )
+	nagios-game? ( games-util/qstat )
+	nagios-ping? ( net-analyzer/fping )
+	samba? ( net-fs/samba )
+	ssh? ( virtual/openssh )
+	snmp? ( dev-perl/Net-SNMP
+			net-analyzer/net-snmp[-minimal] )"
+
+# Perl really needs to run during the build...
+BDEPEND="${AUTOMAGIC_DEPEND}
+	dev-lang/perl"
+
+DEPEND="
+	ldap? ( net-nds/openldap:= )
+	mysql? ( dev-db/mysql-connector-c:= )
+	postgres? ( dev-db/postgresql:* )
+	ssl? (
+		dev-libs/openssl:0=
+	)
+	radius? ( net-dialup/freeradius-client )"
+
+# Basically everything in net-analyzer/monitoring-plugins collides with
+# nagios-plugins. Perl (from BDEPEND) is needed at runtime, too.
+RDEPEND="${BDEPEND}
+	${DEPEND}
+	!net-analyzer/monitoring-plugins
+	selinux? ( sec-policy/selinux-nagios )"
+
+# At least one test is interactive.
+RESTRICT="test"
+
+DOCS=(
+	ACKNOWLEDGEMENTS
+	AUTHORS
+	CODING
+	ChangeLog
+	FAQ
+	NEWS
+	README
+	REQUIREMENTS
+	SUPPORT
+	THANKS
+)
+
+# These all come from gnulib and the ./configure checks are working as
+# intended when the functions aren't present. Bugs 907755 and 924341.
+QA_CONFIG_IMPL_DECL_SKIP=(
+	statvfs64
+	re_set_syntax
+	re_compile_pattern
+	re_search
+	re_match
+)
+
+src_prepare() {
+	default
+
+	# Fix the path to our perl interpreter
+	sed -i -e "1s:/usr/local/bin/perl:/usr/bin/perl:" \
+		"${S}"/plugins-scripts/*.pl \
+		|| die 'failed to fix perl interpreter path'
+}
+
+src_configure() {
+	# Use an array to prevent econf from mangling the ping args.
+	local myconf=()
+
+	if use ssl; then
+		myconf+=( $(use_with ssl openssl /usr) )
+	else
+		myconf+=( --without-openssl )
+		myconf+=( --without-gnutls )
+	fi
+
+	# The autodetection for these two commands can hang if localhost is
+	# down or ICMP traffic is filtered (bug #468296). But also the path
+	# likes to move around on us (bug #883765).
+	myconf+=( --with-ping-command="$(command -v ping) -n -U -w %d -c %d %s" )
+
+	if use ipv6; then
+		myconf+=( --with-ping6-command="$(command -v ping6) -n -U -w %d -c %d %s" )
+	fi
+
+	econf \
+		$(use_with mysql) \
+		$(use_with ipv6) \
+		$(use_with ldap) \
+		$(use_with postgres pgsql /usr) \
+		$(use_with radius) \
+		"${myconf[@]}" \
+		--libexecdir="/usr/$(get_libdir)/nagios/plugins" \
+		--sysconfdir="/etc/nagios"
+}
+
+pkg_postinst() {
+	elog "This ebuild has a number of USE flags that determine what you"
+	elog "are able to monitor. Depending on what you want to monitor, some"
+	elog "or all of these USE flags need to be set."
+	elog
+	elog "The plugins are installed in ${ROOT}/usr/$(get_libdir)/nagios/plugins"
+}


             reply	other threads:[~2024-11-14 23:30 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-14 23:30 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23 15:17 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins/ Michael Orlitzky
2025-02-23  3:09 Sam James
2025-02-16  6:32 Sam James
2025-02-16  6:32 Sam James
2025-02-16  6:32 Sam James
2024-02-18 22:42 Sam James
2024-02-18 19:57 Arthur Zamarin
2024-02-18 19:57 Arthur Zamarin
2024-02-18 19:57 Arthur Zamarin
2024-02-18 15:10 Michael Orlitzky
2024-02-18 15:10 Michael Orlitzky
2023-09-09 23:44 Michael Orlitzky
2023-05-11 20:03 Sam James
2023-01-28  9:06 Sam James
2023-01-28  9:02 Arthur Zamarin
2023-01-28  8:54 Sam James
2023-01-28  8:54 Sam James
2022-12-01  0:35 Michael Orlitzky
2022-12-01  0:26 Michael Orlitzky
2022-12-01  0:19 Michael Orlitzky
2022-12-01  0:08 Michael Orlitzky
2022-11-30 23:30 Michael Orlitzky
2022-11-19 23:06 Michael Orlitzky
2022-08-30  1:05 Michael Orlitzky
2022-08-29 12:38 Jakov Smolić
2022-08-12 14:27 Sam James
2022-08-06 13:04 Michael Orlitzky
2022-08-03 17:51 Arthur Zamarin
2022-08-03 16:12 Arthur Zamarin
2022-06-02 17:23 Michael Orlitzky
2022-03-23  0:45 Sam James
2021-06-22 18:19 Sam James
2021-05-01 10:02 Mikle Kolyada
2021-03-22  2:56 Michael Orlitzky
2020-11-30 16:17 Aaron Bauman
2020-08-05 15:34 Michael Orlitzky
2020-08-01  9:01 Sergei Trofimovich
2020-08-01  8:53 Sergei Trofimovich
2020-07-28 21:25 Sergei Trofimovich
2020-07-27 18:36 Sergei Trofimovich
2020-07-24 15:09 Agostino Sarubbo
2020-07-23 16:51 Michael Orlitzky
2020-01-17 17:02 Michael Orlitzky
2019-12-11 16:26 Michael Orlitzky
2019-12-11 15:26 Michael Orlitzky
2019-08-31 21:35 Michael Orlitzky
2019-02-16 16:01 Michael Orlitzky
2019-01-31 18:04 Tobias Klausmann
2019-01-29 17:12 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-24 21:43 Sergei Trofimovich
2019-01-23 21:12 Sergei Trofimovich
2019-01-23 21:01 Sergei Trofimovich
2019-01-23 19:29 Sergei Trofimovich
2018-09-23  1:27 Michael Orlitzky
2018-06-19 12:55 Thomas Deutschmann
2018-03-03 21:07 Sergei Trofimovich
2017-12-16  8:20 Tobias Klausmann
2017-11-25 20:59 Sergei Trofimovich
2017-11-18 17:59 Sergei Trofimovich
2017-11-17 11:18 Tobias Klausmann
2017-11-15  2:16 Michael Orlitzky
2017-10-22 19:59 Michael Orlitzky
2017-07-23 14:05 Michael Orlitzky
2017-03-30 22:14 Michael Orlitzky
2016-12-11 17:11 Michael Orlitzky
2016-12-11 17:11 Michael Orlitzky
2016-08-07  0:40 Michael Orlitzky
2015-10-05 13:52 Julian Ospald
2015-08-31 14:44 Michael Orlitzky
2015-08-31 14:13 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1731625086.7ad20acab1f920b7631ec55d906469090497517d.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox